import 'package:flutter/material.dart';
import 'package:get/get.dart';

import 'controller.dart';
import 'demo.dart';

class DashboardPage extends GetView<DashboardController> {
  const DashboardPage({super.key});

  @override
  Widget build(BuildContext context) {
    return const DashboardDemoView();
    return SafeArea(
      top: true,
      child: Scaffold(
        body: Row(
          children: [
            SizedBox(
              width: 120,
              child: Column(
                crossAxisAlignment: CrossAxisAlignment.center,
                children: [
                  SizedBox(
                    height: 120,
                    child: Center(
                      child: Container(
                        // width: 90,
                        // height: 90,
                        decoration: BoxDecoration(
                          border: Border.all(color: Colors.grey),
                          borderRadius: BorderRadius.circular(45),
                        ),
                        child: const Icon(
                          Icons.person,
                          size: 90,
                          color: Colors.blueGrey,
                        ),
                      ),
                    ),
                  ),
                  const Divider(),
                  Expanded(child: Container()),
                  const Divider(),
                  SizedBox(
                    height: 60,
                    child: Center(
                      child: ElevatedButton(
                        onPressed: () {
                          // FConfirmAlert.
                          controller.logOut();
                        },
                        style: const ButtonStyle(
                          elevation: MaterialStatePropertyAll(0),
                        ),
                        child: const Icon(Icons.exit_to_app),
                      ),
                    ),
                  )
                ],
              ),
            ),
            const VerticalDivider(),
            const Expanded(
              child: Center(
                child: Text(
                  "Welcome! Dashboard!",
                  style: TextStyle(fontSize: 36),
                ),
              ),
            ),
          ],
        ),
      ),
    );
  }
}
